aboutsummaryrefslogtreecommitdiffstats
path: root/testing/cntlm/cntlm.initd
diff options
context:
space:
mode:
Diffstat (limited to 'testing/cntlm/cntlm.initd')
-rw-r--r--testing/cntlm/cntlm.initd39
1 files changed, 39 insertions, 0 deletions
diff --git a/testing/cntlm/cntlm.initd b/testing/cntlm/cntlm.initd
new file mode 100644
index 0000000000..449d1f2361
--- /dev/null
+++ b/testing/cntlm/cntlm.initd
@@ -0,0 +1,39 @@
+#!/sbin/openrc-run
+
+description="Authenticating HTTP accelerator for NTLM secured proxies"
+
+depend() {
+ need localmount net
+ use dns logger
+ after bootmisc firewall
+}
+
+checkconfig() {
+ CNTLM_INSTANCE=${SVCNAME#*.}
+ if [ -n "${CNTLM_INSTANCE}" -a "${SVCNAME}" != "cntlm" ]; then
+ CNTLM_CONF="/etc/cntlm.d/${CNTLM_INSTANCE}.conf"
+ CNTLM_PID="/var/run/cntlm.${CNTLM_INSTANCE}.pid"
+ else
+ CNTLM_CONF="/etc/cntlm.conf"
+ CNTLM_PID="/var/run/cntlm.pid"
+ fi
+ if [ ! -e ${CNTLM_CONF} ]; then
+ eerror "You will need an ${CNTLM_CONF} first"
+ return 1
+ fi
+}
+
+start() {
+ checkconfig || return 1
+ ebegin "Starting ${SVCNAME}"
+ start-stop-daemon --start --exec /usr/sbin/cntlm --pidfile "${CNTLM_PID}" \
+ -- -c "${CNTLM_CONF}" -P "${CNTLM_PID}"
+ eend $?
+}
+
+stop() {
+ checkconfig || return 1
+ ebegin "Stopping ${SVCNAME}"
+ start-stop-daemon --stop --exec /usr/sbin/cntlm --pidfile "${CNTLM_PID}"
+ eend $?
+}